HaskellForMaths-0.4.8: Combinatorics, group theory, commutative algebra, non-commutative algebra

Safe Haskell | None
Language | Haskell98

Math.Projects.KnotTheory.Braid

# Documentation

type LPQ = LaurentMPoly Q Source

data BraidGens Source

Constructors

S Int |

Instances

Eq BraidGens Source |
Ord BraidGens Source |
Show BraidGens Source |
Invertible (NPoly LPQ BraidGens) Source |

s_ :: Int -> NPoly LPQ BraidGens Source

s1 :: NPoly LPQ BraidGens Source

s2 :: NPoly LPQ BraidGens Source

s3 :: NPoly LPQ BraidGens Source

s4 :: NPoly LPQ BraidGens Source

writhe :: NPoly t BraidGens -> Int Source

k3_1 :: NPoly LPQ BraidGens Source

k4_1 :: NPoly LPQ BraidGens Source

k5_1 :: NPoly LPQ BraidGens Source

k7_1 :: NPoly LPQ BraidGens Source